<%		
		/******************************************** 
		 *					Top bar
		 */
		 
		var hasBreadcrumb = (typeof breadcrumbPath !== UNDEF) && breadcrumbPath,
			hasHomeBtn = logoName || level > 0 || homepageAddress,
			hasTopBarRight = (showStartSlideshow || _useSearch) && pageType !== 'page' || backgroundAudio,
			getLogo = function() {
					var img = '<img src="' + resPath + '/' + encodeURIComponent(logoName) + '" alt="' + stripExt(logoName) + '">';
					if (logoLinking === 'none' || !(level || homepageAddress)) {
						// Logo, with no link
						return img;
					} else if (homepageAddress && (logoLinking === 'external' || !level)) {
						// Logo with external homepage link
						return '<a href="' + homepageAddress + '" class="logo" ' + (homepageLinkText? (' data-tooltip title="' + homepageLinkText + '"') : '') + '>' + img + '</a>';
					}
					// Home button in subfolders
					return '<a href="' + rootPath + '/' + indexName + '" class="logo" data-tooltip title="' + getText('mainAlbumPage') + '">' + img + '</a>';
				};
			
		out.println('\t\t<section class="top-bar ' + [
				//logoName? 'has-logo' : '',
				topbarDesign,
				'title-' + (titleDesign || 'simple'),
				topNavigation? 'has-menu' : '', 
				hasBreadcrumb? 'has-breadcrumb' : '',
				'button-' + (buttonDesign || 'simple')
			].filter(Boolean).join(' ') + '">');
		
			/*
			 *	 Logo above
			 */
			 
			if (logoName) {
				out.println('\t\t\t<div class="bar above-top"><div class="cont">' +
						getLogo() +
					'</div></div>');
			}
			 
			out.println('\t\t\t<div class="bar"><div class="cont">');
		
			/*
			 *	 Left column
			 */
		
			if (logoName || level || topNavigation || homepageAddress || pageType === 'page') {

				out.print('\t\t\t\t<div class="left-column">');
					if (logoName) {
						// Has logo
						out.print(getLogo());
					}
					// Home link
					if (homepageAddress && !logoName) {
						// Homepage link as icon
						out.print(
							'<a href="' + homepageAddress + '" ' + (homepageLinkText? (' data-tooltip title="' + homepageLinkText + '"') : '') + ' class="icon-home button" data-tooltip"></a>'
						);
					}
					// Up button
					if (pageType === 'page') {
						// Back to index from page
						out.print(
							'<a href="' + indexName + '" class="icon-arrow-up button" data-tooltip title="' + getText('backToIndex') + '"></a>'
						);
					} else if (level > 1 || (level === 1 && logoLinking !== 'toplevel')) {
						// One level up
						out.print(
							'<a href="../' + indexName + '" class="icon-arrow-up button" data-tooltip title="' + getText('oneLevelUp') + '"></a>'
						);
					}
					
					// Top navigation
					
					if (topNavigation) {
						out.print('<a class="icon-menu button" data-tooltip data-modal-open="navigation" title="' + getText('navigation') + '"></a>');
					}
			
				out.println('</div>');
			}
			
			/*
			 *	Title
			 */
			 
			 	out.println('\t\t\t\t<div class="title">' +
			 			(hasBreadcrumb? ('<div class="breadcrumb">' + breadcrumbPath + '</div>') : '') +
			 			('<h1>' + title + '</h1>') +
			 		'</div>');
			
			/*
			 *	Right column
			 */
			
			if (hasTopBarRight) {
			
				out.println('\t\t\t\t<div class="right-column">');
				
					// Sharing
					
					if (_anyShares) {
						out.println(
							'\t\t\t\t\t<a class="button icon-connect hide-on-overlay" data-modal-open="social-share" data-tooltip title="' + getText('shareAlbum') + '"></a>');
					}
					
					// ZIP download
					
					if (pageType === 'index' && zipFile) {
						out.println(
							'\t\t\t\t\t<a href="' + zipFile + '" class="button icon-download hide-on-overlay" data-tooltip title="' + getText('downloadImages') + '" download></a>');
					}
					
					//	Background audio
					 
					if (backgroundAudio) {
						out.println(
							'\t\t\t\t\t<a class="player-btn button" data-rel="playlist" data-audioplayer=\'' + JSON.stringify(getAudioPlayerVars(backgroundAudio)) + '\'><span>' +
							// Pause button
							'<svg class="pause-btn" width="20px" height="20px" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">' +
								'<g class="disc" fill="' + buttonTextColor + '"><path d="M3.812,16.188C2.229,14.603,1.25,12.416,1.25,10s0.979-4.603,2.562-6.188L2.929,2.929C1.12,4.738,0,7.238,0,10s1.12,5.262,2.929,7.071L3.812,16.188z"></path><path d="M16.188,3.812C17.771,5.397,18.75,7.584,18.75,10s-0.979,4.603-2.562,6.188l0.883,0.883C18.88,15.262,20,12.762,20,10s-1.12-5.262-2.929-7.071L16.188,3.812z"></path></g>' +
								'<g class="pause-icon" fill="' + buttonTextColor + '"><rect x="6" y="6" width="3" height="8"></rect><rect x="11" y="6" width="3" height="8"></rect></g>' +
							'</svg>' +
							// Play button
							'<svg class="play-btn" width="20px" height="20px" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">' +
								'<g class="play-icon" fill="' + buttonTextColor + '"><path d="M10,0C4.477,0,0,4.477,0,10s4.477,10,10,10s10-4.477,10-10S15.523,0,10,0z M7,14.571V5.429L15,10L7,14.571z"></path></g>' +
							'</svg></span></a>');
					}
					
					// Start slideshow
					
					if (pageType !== 'page' && lightboxableCount && showStartSlideshow) {
						out.println('\t\t\t\t\t<a class="icon-play button start-show" data-tooltip title="' + getText('startSlideshow') + '"></a>');
					}
					
					//	Search new
		
					if (searchNewSource !== 'none' && pageType !== 'page') {
						out.println('\t\t\t\t\t<a class="button icon-new hide-on-overlay" data-modal-open="search-new" data-tooltip title="' + getText('searchNewImages') + '"></a>');
					}
					
					//	Search
		
					if (_useSearch && pageType !== 'page') {
						out.println('\t\t\t\t\t<a class="button icon-search" data-modal-open="search" data-tooltip title="' + getText('search') + '"></a>');
					}
					
					// Album info
					
					if (header && (!level || !headerTopLevelOnly)) {
						out.println(
							'\t\t\t\t\t<a class="button icon-info" data-modal-open="album-info" data-tooltip title="' + getText('aboutThisAlbum') + '"></a>');
					}					
					
				out.println('\t\t\t\t</div>');
			}
		
			out.println('\t\t\t</div></div>');
			
			// Cart(s) with selection options
			
			if (pageType !== 'page' && (_useShop && shopOptions || _useFeedback)) {
	
				// Select box
					
				out.println('\t\t\t<div class="select-box">');
					
				out.println('\t\t\t\t<label>' + getText('select') + '</label>' +
						'<div class="buttons">' + 
							'<a class="select-all small button">' + getText('all') + 	'</a>' + 
							'<a class="select-none small button">' + getText('none') + '</a>' + 
							'<a class="keep-selected icon-filter small button"> ' + getText('keepOnlySelected') + '</a>' +
						'</div>');
					
				// Shopping cart
				
				if (_useShop && shopOptions) {
					//out.println('\t\t\t\t\t<a class="button icon-shopping-cart-add" data-modal-open="shopping-cart" data-tooltip title="' + (shopInstructionsBox || getText('addCart')) + '"></a>');
					out.println('\t\t\t\t<div id="shop-root" class="shop-root" data-shop-root></div>');
					if (shopInstructionsBox) {
						out.println('\t\t\t\t<div class="instructions">' + getProcessed(shopInstructionsBox).trim() + '</div>');
					}
				}
					
				// Feedback
				
				if (_useFeedback) {
					//out.println('\t\t\t\t\t<a class="button icon-feedback" data-modal-open="feedback-cart" data-tooltip title="' + (feedbackInstructionsBox || getText('sendFeedback')) + '"></a>');
					out.println('\t\t\t\t<div id="feedback-root" class="feedback-root" data-feedback-root></div>');
				}
					
				out.println('\t\t\t</div>');
			}
		
		out.println('\t\t</section>');		
%>